<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| TinyChat 1.27 Infusion fr PHP-Fusion 7.00 CMS
+--------------------------------------------------------+
| Filename: ls_tinychat_chat_frame.php
| Author: Christian Wolf (Lupo)  2005-2008
| Web: http://tinychat.LupoSoft.de
| E-Mail: tinychat@LupoSoft.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

// infusion
$locale['lstc_title'] = "TinyChat"; // formerly ls100
$locale['lstc_desc'] = "Een simpele Chatroom"; // formerly ls101
$locale['lstc_admin1'] = "TinyChat"; // formerly ls100
$locale['lstc_link1'] = "Chatroom"; // formerly ls102

// help
$locale['ls401'] = "TinyChat Chatroom laat gebruikers en eventueel bezoekers korte berichten plaatsen. HTML-code wordt verwijderd omdat ongeldige code zou kunnen resulteren in een verstoorde paginaopmaak. De maximaal toegestane lengte van een bericht is
255 tekens. Alles daarboven wordt verwijderd. Woorden van meer dan 20 tekens lang worden automatisch afgekort met afbreekstreepjes om te voorkomen dat de zijbalk wordt uitgerekt.<br>
<br>
<b>Het volgende is nooit toegestaan</b>:<br>
 In de Chatroom bezoekers te beledigen, aan te vallen of te 'flamen'.<br>
 In de Chatroom te spammen of de Chatroom te overstelpen door meerdere berichten te plaatsen ('flooden'.<br>
 In de Chatroom gebruik te maken van onacceptabele taal of beledigingen.<br>
<br>
U mag uw website, of enige andere, in de Chatroomn vermelden zo lang deze geen expliciet of auteursrechtelijk beschermd materiaal bevat. Er moeten zowel een naam als een berichttekst worden opgegeven, anders wordt het bericht niet geaccepteerd.<br>
De volgende smileys zijn beschikbaar voor in uw berichten:";
$locale['ls402'] = "Code";
$locale['ls403'] = "Smiley";
$locale['ls404'] = "".$settings['sitename']." behoudt zich het recht voor berichten die niet voldoen aan de gemelde voorwaarden te verwijderen. Vragen kunnen worden gemaild aan <a href='mailto:".$settings['siteemail']."'>".$settings['siteemail']."</a>.";

// side-panel
$locale['ls405'] = "Ga naar Chatroom";
$locale['ls406'] = "Chatroom historie";

// chat-panel
$locale['ls407'] = "Terug naar Chat";
$locale['ls408'] = "Je browser kan geen embedded frames afbeelden!";
$locale['ls409'] = "Chat archief";
$locale['ls410'] = "Versturen";
$locale['ls411'] = "Help";
$locale['ls412'] = "Naam:";
$locale['ls413'] = "Bericht:";
$locale['ls414'] = "Je moet inloggen om een bericht te kunnen versturen.";
$locale['ls415'] = "TinyChat help";
$locale['ls416'] = "Alles";
$locale['ls417'] = "by";
$locale['ls418'] = "Guest"; // please translate

// admin-panel
$locale['ls500'] = "Verwijder berichten";
$locale['ls501'] = "Berichten zijn verwijderd";
$locale['ls502'] = "Terug naar TinyChat administratie";
$locale['ls503'] = "Terug naar beheerderpaneel";
$locale['ls504'] = "Verwijder bericht";
$locale['ls505'] = "Bericht verwijderd";
$locale['ls506'] = "am "; // please translate (english = "at ";)
// Edit Entrye
$locale['ls520'] = "Wijzig bericht";
$locale['ls521'] = "Chat bericht:";
$locale['ls522'] = "Bewaar bericht";
// Prune Chatarchive
$locale['ls530'] = "Verwijder berichten ouder dan";
$locale['ls531'] = " dagen";
$locale['ls532'] = "Verwijder berichten";
// Current messages
$locale['ls540'] = "Huidige berichten";
$locale['ls541'] = "Wijzig";
$locale['ls542'] = "Verwijder";
$locale['ls543'] = "Gebruikers IP: ";
$locale['ls544'] = "Er zijn geen berichten gepost.";

?>
