<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| TinyChat 1.27 Infusion fr PHP-Fusion 7.00 CMS
+--------------------------------------------------------+
| Filename: ls_tinychat.php
| Author: Christian Wolf (Lupo)  2005-2008
| Web: http://tinychat.LupoSoft.de
| E-Mail: tinychat@LupoSoft.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/header.php";

include INFUSIONS."ls_tinychat_panel/infusion_db.php";

if (isset($_GET['chat_name'])) {
	$chat_name=$_GET['chat_name'];
} elseif (isset($_POST['chat_name'])) {
	$chat_name=$_POST['chat_name'];
} else {
	$chat_name=$locale['ls418'];
}

opentable($locale['lstc_title']);

if (iMEMBER || ($guestsallowed >= "1")) {
echo "
<iframe src='".INFUSIONS."ls_tinychat_panel/ls_tinychat_chat_frame.php?anzahl=".$chatframeentries."&bodyclass=".$chatframebodyclass."' name='ls_tinychat_chat_frame' frameborder='0' width='100%' height='".$chatframeheigth."px'>
<p>".$locale['ls408']."</p>
</iframe>

<iframe src='".INFUSIONS."ls_tinychat_panel/ls_tinychat_chat_loader.php?refresh=".$chatframerefresh."&targetframe=ls_tinychat_chat_frame' name='chat_loader' frameborder='0' width='0px' height='0px'>
<p>".$locale['ls408']."</p>
</iframe>
<hr>
";

}
if (isset($_POST['post_archive'])) {
	redirect(INFUSIONS."ls_tinychat_panel/ls_tinychat_archive.php");
} elseif (isset($_POST['post_help'])) {
	redirect(INFUSIONS."ls_tinychat_panel/ls_tinychat_help.php");
} elseif (isset($_POST['chat_message'])) {
	if (iMEMBER) {
		$chat_name = $userdata['user_id'];
	} elseif ($guestsallowed == "2") {
		$chat_name = trim(stripinput($_POST['chat_name']));
		$chat_name = preg_replace("(^[0-9]*)", "", $chat_name);
		if (isNum($chat_name)) $chat_name="";
	}
	$chat_message = str_replace("\n", " ", $_POST['chat_message']);
	$chat_message = preg_replace("/^(.{255}).*$/", "$1", $chat_message);
	$chat_message = preg_replace("/([^\s]{25})/", "$1\n", $chat_message);
	$chat_message = trim(stripinput(censorwords($chat_message)));
	$chat_message = str_replace("\n", "<br>", $chat_message);
	if ($chat_name != "" && $chat_message != "") {
		if (dbcount("(*)", "ls_chat", "ls_chat_message='$chat_message' AND ls_chat_datestamp+84600>".time())) {
			redirect(FUSION_SELF."?chat_name=".$chat_name."");
		} else {
			$result = dbquery("INSERT INTO ".DB_LS_CHAT." VALUES('', '$chat_name', '$chat_message', '".time()."', '".USER_IP."')");
		}
	}
	redirect(FUSION_SELF."?chat_name=".$chat_name."");
}
if (iMEMBER || ($guestsallowed == "2")) {
echo "<form name='inputform' method='post' action='".FUSION_SELF."?chat_name=".$chat_name."'>

<table width='100%' border ='0' cellpadding='5' cellspacing='0'>
<colgroup><col><col><col><col><col></colgroup>
<tr>
<td colspan='5'>\n";
	if (iGUEST) {
		echo $locale['ls412']."<br><input type='text' name='chat_name' value='$chat_name' class='textbox' maxlength='32' style='width:140px;'><br>".$locale['ls413']."<br>\n";
	}
	echo "<input name='chat_message' class='textbox' style='width:100%;'>
</td>
<tr>
	<td colspan='5'>".displaysmileys('chat_message')."</td>
</tr>
<tr>
<td width='20%'><input type='submit' name='post_chatentry' value='".$locale['ls410']."' class='button' align='center'></td>
<td width='20%' align='center'><input type='submit' name='post_archive' value='".$locale['ls409']."' class='button' align='center'></td>
<td width='20%' align='right'><input type='submit' name='post_help' value='     ".$locale['ls411']."    ' class='button' align='center'></td>
<td align='right'>".$locale['lstc_title']." ".$tinychatversion." ".$locale['ls417']." </td><td><a target='_blank' href='http://www.luposoft.de'><img src = '".INFUSIONS."ls_tinychat_panel/luposoft2.gif' border='0'></a></td>
</tr>
</table>
</form>
<script type=\"text/javascript\">
	document.inputform.chat_message.focus();
</script>	
";
} else {
	echo "
	<center>".$locale['ls414']." ".$locale['lstc_title']." ".$tinychatversion." ".$locale['ls417']." <a target='_blank' href='http://www.luposoft.de'><img src = '".INFUSIONS."ls_tinychat_panel/luposoft2.gif' border='0'></a></center>
	";
}
closetable();

require_once THEMES."templates/footer.php";

?>
