<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| TinyChat 1.27 Infusion fr PHP-Fusion 7.00 CMS
+--------------------------------------------------------+
| Filename: ls_tinychat_chat_frame.php
| Author: Christian Wolf (Lupo)  2005-2008
| Web: http://tinychat.LupoSoft.de
| E-Mail: tinychat@LupoSoft.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

include INFUSIONS."ls_tinychat_panel/infusion_db.php";

// Infusion general information
$inf_title = $locale['lstc_title'];
$inf_description = $locale['lstc_desc'];
$inf_version = "1.27";
$inf_developer = "Christian Wolf (Lupo)";
$inf_email = "tinychat@luposoft.de";
$inf_weburl = "http://tinychat.luposoft.de";

$inf_folder = "ls_tinychat_panel"; // The folder in which the infusion resides.

$inf_adminpanel[1] = array(
	"title" => $locale['lstc_admin1'],
	"image" => "luposoft.gif",
	"panel" => "ls_tinychat_admin.php",
	"rights" => "LSTC"
);

$inf_sitelink[1] = array(
	"title" => $locale['lstc_link1'],
	"url" => "ls_tinychat.php",
	"visibility" => "0" // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.
);

$inf_newtable[1] = DB_LS_CHAT." (
  ls_chat_id smallint(5) unsigned NOT NULL auto_increment,
  ls_chat_name varchar(50) NOT NULL default '',
  ls_chat_message varchar(200) NOT NULL default '',
  ls_chat_datestamp int(10) unsigned NOT NULL default '0',
  ls_chat_ip varchar(20) NOT NULL default '0.0.0.0',
  PRIMARY KEY  (ls_chat_id)
) TYPE=MyISAM;";

$inf_droptable[1] = DB_LS_CHAT;

?>