<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| TinyChat 1.27 Infusion fr PHP-Fusion 7.00 CMS
+--------------------------------------------------------+
| Filename: English.php
| Author: Christian Wolf (Lupo)  2005-2008
| Web: http://tinychat.LupoSoft.de
| E-Mail: tinychat@LupoSoft.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

// infusion
$locale['lstc_title'] = "TinyChat"; // formerly ls100
$locale['lstc_desc'] = "A very simple chatroom"; // formerly ls101
$locale['lstc_admin1'] = "TinyChat"; // formerly ls100
$locale['lstc_link1'] = "Chatroom"; // formerly ls102

// help
$locale['ls401'] = "TinyChat allows visitors and members to post short messages. HTML is stripped
since poorly formatted code could cause the site layout to break. The maximum length message allowed is
255 characters, anything exceeding the maximum will be chopped. Words longer than 20 characters will be split
by using line breaks to prevent the sidebar from stretching. Please <b>do not</b>:<br>
<br>
 Flame, Abuse or Attack other visitors or Members.<br>
 Flood or Spam by posting multiple messages.<br>
 Use unacceptable or abusive language.<br>
<br>
You may advertise your website, or any other website as long is it does not contain any explicit or copyright
infringing material. You must provide both a name and message or your post will be rejected. The following
smileys are also available to add emotions to your post:";
$locale['ls402'] = "Code";
$locale['ls403'] = "Smiley";
$locale['ls404'] = "".$settings['sitename']." reserves the right to remove any posts which infringe the aformentioned rules. Any
questions should be mailed to <a href='mailto:".$settings['siteemail']."'>".$settings['siteemail']."</a>.";

// side-panel
$locale['ls405'] = "Goto Chatroom";
$locale['ls406'] = "Chat Preview";

// chat-panel
$locale['ls407'] = "return to chat";
$locale['ls408'] = "Your browser cant't show embedded frames!";
$locale['ls409'] = "Chat Archive";
$locale['ls410'] = "Send";
$locale['ls411'] = "Help";
$locale['ls412'] = "Name:";
$locale['ls413'] = "Message:";
$locale['ls414'] = "You must login to post a message.";
$locale['ls415'] = "TinyChat Help";
$locale['ls416'] = "All";
$locale['ls417'] = "by";
$locale['ls418'] = "Guest";

// admin-panel
$locale['ls500'] = "Delete Entries";
$locale['ls501'] = "Entries have been deleted";
$locale['ls502'] = "Return to TinyChat Admin";
$locale['ls503'] = "Return to Admin Index";
$locale['ls504'] = "Delete Entry";
$locale['ls505'] = "Entry deleted";
$locale['ls506'] = "at ";
// Edit Entrye
$locale['ls520'] = "Edit Entry";
$locale['ls521'] = "Chat Entry:";
$locale['ls522'] = "Save Entry";
// Prune Chatarchive
$locale['ls530'] = "Delete Entries older than";
$locale['ls531'] = " days";
$locale['ls532'] = "Delete Entries";
// Current messages
$locale['ls540'] = "Current Entries";
$locale['ls541'] = "Edit";
$locale['ls542'] = "Delete";
$locale['ls543'] = "User IP: ";
$locale['ls544'] = "No entries have been posted.";

?>
